/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Default Target</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.istic.mML.DefaultTarget#getDefault <em>Default</em>}</li>
 * </ul>
 *
 * @see fr.istic.mML.MMLPackage#getDefaultTarget()
 * @model
 * @generated
 */
public interface DefaultTarget extends Target
{
  /**
   * Returns the value of the '<em><b>Default</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Default</em>' attribute.
   * @see #setDefault(String)
   * @see fr.istic.mML.MMLPackage#getDefaultTarget_Default()
   * @model
   * @generated
   */
  String getDefault();

  /**
   * Sets the value of the '{@link fr.istic.mML.DefaultTarget#getDefault <em>Default</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Default</em>' attribute.
   * @see #getDefault()
   * @generated
   */
  void setDefault(String value);

} // DefaultTarget
